<?php

namespace Drupal\enable_disable_node_toggle\Controller;

use Drupal\Core\Controller\ControllerBase;
use Psr\Http\Message\ServerRequestInterface;
use Symfony\Component\HttpFoundation\JsonResponse;
use Drupal\node\Entity\Node;

/**
 * change node status.
 */
class ChangeNodeStatus extends ControllerBase {

	/**
	 * Process the API response.
	 *
	 * @return array
	 *   Node status.
	 */
	public function enable_disable_status(ServerRequestInterface $request) {
		$body = $request->getParsedBody();
		$decoded = \Drupal\Component\Serialization\Json::decode($body['title']);
		$node = Node::load($decoded['nid']);
		if ($decoded['status'] == 'active') {
			$node->setPublished(true);
		}
		else {
			$node->setUnpublished();
		}		
		$node->save();
		return new JsonResponse($decoded);
	}

}
